### Method

# Adw Flapset_locked

deprecated: 1.4

#### Declaration [src]

    void
    adw_flap_set_locked (
      AdwFlap* self,
      gboolean locked
    )

#### Description [src]

Sets whether `self` is locked.

If `FALSE`, folding when the flap is revealed automatically closes it, and unfolding it when the flap is not revealed opens it. If `TRUE`, `AdwFlap:reveal-flap` value never changes on its own.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Flap:locked`

#### Parameters

`locked`

  Type: `gboolean`

  The new value.